<div class="card shadow-sm mb-3">
    <div class="card-header">
        <h3 class="card-title">K-Anonymity</h3>
    </div>
    <div class="card-body top-card-label">
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Token</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder="A string representing the access token"/>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">K</label>
            <input value=""type="text" class="form-control form-control-solid" placeholder="K parameter for k-anonymity"/>
        </div>
        <div class="mb-10">
            <label for="exampleFormControlInput1" class="required form-label">Data source</label>
            <select class="form-select" aria-label="Select example">
                <option>Requested data stored in:</option>
                <option value="postgre">PostgreSQL</option>
                <option value="mongodb">MongoDB</option>
                <option value="csv">CSV</option>
            </select>
        </div>
        <div class="grid">
            <div class="row">
                <label for="exampleFormControlInput1" class="required form-label">User choice indexes</label>
            </div>
            <div class="row mb-5">
                <span class="text-muted fs-6">Represents the indexes of the dataframe columns over which the k-anonymity property is checked before performing the Mondrian algorithm.

                </span>
            </div>
            <div class="row">0
                <div  formArrayName="credentials" *ngFor="let creds of form.controls.userChoiceIndexes?.value; let i = index" class="mb-10">
                    <ng-container [formGroupName]="i">
                        <input type="text" class="form-control form-control-solid" placeholder="Add user choice index" formControlName="userChoiceIndex">
                      </ng-container>        
                </div>
            </div>
            <a (click)="adduserChoiceIndexes()" class="btn btn-sm btn-primary"><i class="las la-plus-square fs-1 me-2"></i> Add Index</a>
        </div>



    </div>
</div>

<div class="card shadow-sm mb-3">
    <div class="card-header">
        <h3 class="card-title">Differential privacy</h3>
    </div>
    <div class="card-body top-card-label">
    </div>
</div>

<div class="card shadow-sm mb-3">
    <div class="card-header">
        <h3 class="card-title">Z-Anonymity</h3>
    </div>
    <div class="card-body top-card-label">
    </div>
</div>